
%global meadversion 1.0.1
%global namedversion 1.0.1.Final-redhat-3
%global meadalpha .Final_redhat_3
%global meadrel .1
%global serial 4
%global namedversionrel redhat-3

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jul-to-slf4j-stub}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.1.Final-redhat-3

Name:           %{?scl_prefix}jul-to-slf4j-stub
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jul-to-slf4j-stub
Group:          Development/Java

%if %with mead
Source100: jul-to-slf4j-stub-1.0.1.Final-redhat-3-scm-sources.zip
Source102: jul-to-slf4j-stub-1.0.1.Final-redhat-3-project-sources.tar.gz
Source103: jul-to-slf4j-stub-1.0.1.Final-redhat-3.jar
Source104: jul-to-slf4j-stub-1.0.1.Final-redhat-3-sources.jar
Source105: jul-to-slf4j-stub-1.0.1.Final-redhat-3.pom
Source106: jul-to-slf4j-stub-1.0.1.Final-redhat-3-javadoc.jar
%endif

License:        ASL 2.0
URL:            https://github.com/jboss-logging/jul-to-slf4j-stub.git
%if 0
Requires:       %{?scl_prefix_eap}slf4j-api >= 0:1.7.2
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jul-to-slf4j-stub
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jul-to-slf4j-stub -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jul-to-slf4j-stub-%{namedversion}.jar %{buildroot}%{_javadir}/jul-to-slf4j-stub-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jul-to-slf4j-stub-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jul-to-slf4j-stub-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jul-to-slf4j-stub-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jul-to-slf4j-stub-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jul-to-slf4j-stub-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jul-to-slf4j-stub-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jul-to-slf4j-stub-%{namedversion} -x META-INF/\*
%{__ln_s} jul-to-slf4j-stub-%{namedversion} %{buildroot}%{_javadocdir}/jul-to-slf4j-stub
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc
%{_javadir}/jul-to-slf4j-stub-%{namedversion}.jar
%{_javadir}/jul-to-slf4j-stub.jar
%if %with javadoc
%{_javadir}/jul-to-slf4j-stub-%{namedversion}-javadoc.jar
%{_javadir}/jul-to-slf4j-stub-javadoc.jar
%endif
%{_javadir}/jul-to-slf4j-stub-%{namedversion}-sources.jar
%{_javadir}/jul-to-slf4j-stub-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jul-to-slf4j-stub-%{namedversion}
%{_javadocdir}/jul-to-slf4j-stub
%endif

%changelog
* Wed Jun 17 2015 David Walluck <dwalluck@redhat.com> - 1.0.1-4.Final_redhat_3.1
- remove Requires

